VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ProductList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa ProductList
Implements visList
'Zapewnia odpowiedni interfejs dla prezentacji listy
Private lst As ListBox
'------------
Private Sub visList_addLine(p As Product)
  lst.AddItem p.getName
End Sub
'------------
Private Sub visList_init(c As Control)
  Set lst = c
End Sub
'------------
Private Sub visList_removeLine(ByVal num As Integer)
  lst.RemoveItem num
End Sub
